flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLINK-386) Duplicate dependencies in lib folder
Date Tue, 29 Jul 2014 16:21:39 GMT

    [ https://issues.apache.org/jira/browse/FLINK-386?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14077911#comment-14077911
] 

ASF GitHub Bot commented on FLINK-386:
--------------------------------------

Github user StephanEwen commented on the pull request:

    https://github.com/apache/incubator-flink/pull/80#issuecomment-50500024
  
    Okay, then let us merge it into master. I think that afterwards, we can fork the 0.6 release
branch to prepare the first release candidate.


> Duplicate dependencies in lib folder
> ------------------------------------
>
>                 Key: FLINK-386
>                 URL: https://issues.apache.org/jira/browse/FLINK-386
>             Project: Flink
>          Issue Type: Bug
>            Reporter: GitHub Import
>            Assignee: Daniel Warneke
>              Labels: github-import
>             Fix For: pre-apache
>
>
> There are some dependencies for which two different versions end up in the lib folder
> ```
> servlet-api-2.5-6.1.14.jar
> servlet-api-3.0.20100224.jar
> stax-api-1.0.1.jar
> stax-api-1.0-2.jar
> ```
> As far as I see it, these are transitive dependencies.
> Teh problem is that what classes are available at runtime depends on which jar is loaded
first by the classloader. This is somewhat unpredictable and can lead to weird errors in the
components that have these dependencies. 
> ---------------- Imported from GitHub ----------------
> Url: https://github.com/stratosphere/stratosphere/issues/386
> Created by: [StephanEwen|https://github.com/StephanEwen]
> Labels: 
> Created at: Thu Jan 09 19:44:07 CET 2014
> State: open



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message